
---------------------------------
--- TIPOS DE LOJA CAIXA NOVOS ---
---------------------------------
IF NOT EXISTS (SELECT 1 FROM DBO.LOJA_CAIXA_TIPOS WHERE TIPO_LANCAMENTO_CAIXA = 'FW')
	BEGIN
		INSERT INTO DBO.LOJA_CAIXA_TIPOS (TIPO_LANCAMENTO_CAIXA, DESC_LANC_CAIXA, INDICADOR_MOV_CAIXA, DATA_PARA_TRANSFERENCIA,
										  LANCAMENTO_PADRAO, TIPO_FISCAL, INATIVO, LX_STATUS_REGISTRO)
		VALUES ('FW', 'FECHAMENTO DE CAIXA DE (W)', 'S', GETDATE(), NULL, 0, 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.LOJA_CAIXA_TIPOS SET DESC_LANC_CAIXA = 'FECHAMENTO DE CAIXA DE (W)', INDICADOR_MOV_CAIXA = 'S',
										DATA_PARA_TRANSFERENCIA = GETDATE(), LANCAMENTO_PADRAO = NULL, TIPO_FISCAL = 0,
										INATIVO = 0, LX_STATUS_REGISTRO = 0
		WHERE TIPO_LANCAMENTO_CAIXA = 'W';
	END

IF NOT EXISTS (SELECT 1 FROM DBO.LOJA_CAIXA_TIPOS WHERE TIPO_LANCAMENTO_CAIXA = 'FY')
	BEGIN
		INSERT INTO DBO.LOJA_CAIXA_TIPOS (TIPO_LANCAMENTO_CAIXA, DESC_LANC_CAIXA, INDICADOR_MOV_CAIXA, DATA_PARA_TRANSFERENCIA,
										  LANCAMENTO_PADRAO, TIPO_FISCAL, INATIVO, LX_STATUS_REGISTRO)
		VALUES ('FY', 'FECHAMENTO DE CAIXA DE (Y)', 'S', GETDATE(), NULL, 0, 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.LOJA_CAIXA_TIPOS SET DESC_LANC_CAIXA = 'FECHAMENTO DE CAIXA DE (Y)', INDICADOR_MOV_CAIXA = 'S',
										DATA_PARA_TRANSFERENCIA = GETDATE(), LANCAMENTO_PADRAO = NULL, TIPO_FISCAL = 0,
										INATIVO = 0, LX_STATUS_REGISTRO = 0
		WHERE TIPO_LANCAMENTO_CAIXA = 'Y';
	END

IF NOT EXISTS (SELECT 1 FROM DBO.LOJA_CAIXA_TIPOS WHERE TIPO_LANCAMENTO_CAIXA = 'F>')
	BEGIN
		INSERT INTO DBO.LOJA_CAIXA_TIPOS (TIPO_LANCAMENTO_CAIXA, DESC_LANC_CAIXA, INDICADOR_MOV_CAIXA, DATA_PARA_TRANSFERENCIA,
										  LANCAMENTO_PADRAO, TIPO_FISCAL, INATIVO, LX_STATUS_REGISTRO)
		VALUES ('F>', 'FECHAMENTO DE CAIXA DE (>)', 'S', GETDATE(), NULL, 0, 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.LOJA_CAIXA_TIPOS SET DESC_LANC_CAIXA = 'FECHAMENTO DE CAIXA DE (>)', INDICADOR_MOV_CAIXA = 'S',
										DATA_PARA_TRANSFERENCIA = GETDATE(), LANCAMENTO_PADRAO = NULL, TIPO_FISCAL = 0,
										INATIVO = 0, LX_STATUS_REGISTRO = 0
		WHERE TIPO_LANCAMENTO_CAIXA = '>';
	END